---
title: "Get Source by ID"
slug: "get-source-by-id"
updated: 2025-06-30T12:22:21Z
published: 2025-06-30T12:22:21Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source by ID

Get/api/1.0/paa-groups/{envId}/{paaGroupId}/sources/{sourceId}

This API is is designed to retrieve Sources from a specific PAA Group.

## Notice

Accessing the APIs is through a dedicated domain/URL, according to your PlainID Tenant Location**United States (US)** - `https://API.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io`   

## Using HTML Encoded Special Characters

 

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   

## Important note about headers

 

Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

 

### Headers

 *Required 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H "Accept:application/json"` |

   

### cURL Sample Guidelines

 

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersenvIdstring (uuid) Required

The Environment ID can be found under the Details Tab in the Environment Settings.

paaGroupIdstringRequired

The PAA Group Id

sourceIdstringRequired

The Source ID

Responses200

Source Retrieved

Headersx-request-idstring
<select class='api-response-data' aria-label='Media type'><option value='14b18486-1b02-414b-816a-55741254281e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='56b19111-d6f3-4da4-b194-96f36cddfead'>Source Retrieved Successfully</option>
</select>Source Retrieved Successfully

```json
{
  "data": {
    "sourceId": "PIPS44BQJIJ2X3WG",
    "paaGroupId": "paa1",
    "adapter": "ws",
    "name": "auditadmin",
    "status": "ACTIVE",
    "description": "",
    "properties": {},
    "translator": {
      "name": "plainid-rest-tqK",
      "type": "plainid-rest",
      "properties": {
        "authConf": "/app/conf/auth-config.xml",
        "securityDomain": "oauth2-plainid-m-api",
        "supportsfilter": true
      }
    },
    "models": [
      {
        "type": "PHYSICAL",
        "modelId": "PIPMM44BQJIKBVA4G",
        "paaGroupId": "paa1",
        "visible": true,
        "name": "AdminAuditData",
        "description": "",
        "sourceIds": [
          "PIPS44BQJIJ2X3WG"
        ],
        "properties": {},
        "metadata": [
          {
            "type": "DDL",
            "text": "CREATE FOREIGN TABLE AdminAuditData (\nid string,\naction string,\nusreId string,\nresourceType string,\nresourceId string,\nresourceName string,\noff_set integer default 0\n) OPTIONS (nameinsource '$.data[*]', \"plainid:unwrap\" 'false' , \"plainid:method\" 'GET', \"plainid:URI\" '593f15f6-665e-4645-8293-35e41013c610?offset=0&limit=50');"
          }
        ]
      }
    ],
    "paasProperties": [
      {
        "id": "PIMR44BQJIYJSGZK",
        "sourceId": "PIPS44BQJIJ2X3WG",
        "paaId": "PAA3QK1UON1BOXS",
        "properties": {
          "EndPoint": "https://api.us1.plainid.io/api/1.0/audit-admin/",
          "Password": null,
          "AuthPassword": "plainid",
          "SecurityType": "None"
        }
      }
    ]
  }
}
```

Expand Allobject  dataobject  sourceIdstring    
paaGroupIdstring    
adapterstring    
namestring    
statusstring    
descriptionstring    
propertiesobject  
translatorobject  namestring    
typestring    
propertiesobject  

models Array of object   object  typestring    
modelIdstring    
paaGroupIdstring    
visibleboolean    
namestring    
descriptionstring    
sourceIds Array of string   string    
propertiesobject  
metadata Array of object   object  typestring    
textstring    

paasProperties Array of object   object  idstring    
sourceIdstring    
paaIdstring    
propertiesobject  

400

Bad Request

Headersx-request-idstring

401

Unauthorized

Headersx-request-idstring

500

Internal Server Error

Headersx-request-idstringThe ID of the request
